import {
	IsEmail,
	IsNotEmpty,
	IsString,
	IsStrongPassword,
	MaxLength,
	MinLength,
} from "class-validator";
import { ApiProperty } from '@nestjs/swagger';

export class SignUpDto {
	/*
  @MinLength(1)
  @MaxLength(24)
  @IsNotEmpty()
  @IsString()
  firstName: string;

  @MinLength(1)
  @MaxLength(24)
  @IsNotEmpty()
  @IsString()
  lastName: string;
  **/

	@ApiProperty({
		example: 'jean@paul.fr',
	})
	@MaxLength(32)
	@IsEmail()
	@IsNotEmpty()
	email: string;

	@ApiProperty({
		example: 'zSEs-6ze$',
	})
	@IsString()
	@IsNotEmpty()
	@IsStrongPassword({
		minLength: 6,
	})
	password: string;
}

export class SignInDto {
	@MaxLength(32)@ApiProperty({
		example: 'jean@paul.fr',
	})
	@IsEmail()
	@IsNotEmpty()
	email: string;

	@IsString()@ApiProperty({
		example: 'zSEs-6ze$',
	})
	@IsNotEmpty()
	@IsStrongPassword({
		minLength: 6,
	})
	password: string;
}

/*
export class UpdateUserDto {
  @MinLength(1)
  @MaxLength(24)
  @IsNotEmpty()
  @IsString()
  firstName: string;

  @MinLength(1)
  @MaxLength(24)
  @IsNotEmpty()
  @IsString()
  lastName: string;
}
**/
