import { DefaultValuePipe } from "@nestjs/common";
import { IsUUID, MaxLength, MinLength } from "class-validator";
import { ApiBearerAuth, ApiProperty } from '@nestjs/swagger';

export class CreateFileTypeDto {
	@ApiProperty({
		description: "Admin uniquement, nom d'affichage.",
		examples: [
			".scad",
			"jpg"
		]
	})
	@MaxLength(128)
	@MinLength(3)
	name: string;

	@ApiProperty({
		description: "Admin uniquement, Multipurpose Internet Mail Extensions (MIME)",
		examples: [
			"application/x-openscad",
			"image/jpeg"
		]
	})
	@MaxLength(64)
	@MinLength(4)
	mime: string;
}
