import { IsUUID, MaxLength, MinLength } from "class-validator";
import { ApiProperty } from '@nestjs/swagger';

export class CreateMachineDto {
	@ApiProperty({
		example: "Découpeuse laser portable"
	})
	@MaxLength(128)
	@MinLength(4)
	machineName: string;

	@ApiProperty({
		example: "Découpe au laser"
	})
	@MaxLength(64)
	@MinLength(2)
	machineType: string;
}

export class TypeDto {
	@ApiProperty({
		description: "Un identifiant unique présent en base de donnée qui représente un MIME",
		example: "dfd0fbb1-2bf3-4dbe-b86d-89b1bff5106c"
	})
	@IsUUID()
	fileTypeId: string;
}
